TAAS - Feature #114

Cash Transfer
12/07/2022 12:13 PM - Anil KV

Status: New Changes Coding Done Start date: 01/02/2023
Priority: Normal Due date:

Assignee: Athira KK % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Cash Transfer

Description

Coding Cash Transfer

History

#1 - 12/19/2022 04:11 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- Assignee changed from Junaid M to Anand V Gopal
- % Done changed from 0 to 10

#2 - 01/02/2023 11:00 AM - Anand V Gopal
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#3 - 01/04/2023 06:12 PM - Anand V Gopal
- Start date changed from 12/07/2022 to 01/02/2023

#4 - 02/07/2023 02:46 PM - Anand V Gopal
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

Note:
Cash Balance label in Cash Transfer not implemented.

#5 - 02/08/2023 02:11 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.FIX ERRORS ON ROE
(CANT SAVE/UPDATE CASH TRANSFER)
#6 - 02/09/2023 10:28 AM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#7 - 02/10/2023 10:55 AM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.SET VALIDATION ON AMOUNT

(SHOWING "DEBIT & CREDIT NOT TALLY" WHILE CURRENCY CHANGE)

2.FIX ERORS ON DATE

#8 - 03/20/2023 06:19 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#9 - 03/21/2023 04:39 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix errors while change cash a/c default currency

2.Use CODE:NAME format on selection box

(Branch , Department , Cash Counter)

3.Set validations on Branch , Department , Cash & Cash counter
(At least one differ from each other)

#10 - 03/24/2023 06:10 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#11 - 04/25/2023 05:23 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix error while Save/Update on Cash Transfer by more than one
user at a time - Set proper alert

3.Set proper alignment between code & name

(Selection box)

#12 - 04/26/2023 06:09 PM - Anand V Gopal
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 05/24/2023 06:28 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Disable Doc. Code after update

2.Fix bugs on precision - displaying wrong precision
3.Precision missing after update

(ROE & Amount)

4.Add view posting

5.Add attachment

6.Set proper alerts

#14 - 06/06/2023 06:10 PM - Anand V Gopal

05/03/2025

2/8



- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 06/07/2023 06:29 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****

1.Add blank option on selection box

(Cash Counter)

2.Fix bugs on ROE

( If user clear ROE by mistake , take value from Set ROE module)
3.Error on posting - Wrong data

( Showing Dr/Cr values in single raw)

4 .Calculation mistakes on posting when change ROE on GUI

#16 - 08/10/2023 06:15 PM - unnikannan S

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.ISSUE IN RESPONSIBLE USER ADDING AND APPLY IN ONE SIDE
2.CANT BALANCE DOUBLE COIOUMN MISSING IN (TO) SIDE

#17 - 08/21/2023 03:31 PM - unnikannan S
3.ADD COLUMN FOR CASH TRANSFER TO SIDE

#18 - 09/15/2023 02:09 PM - unnikannan S
unnikannan S wrote in #note-17:

3.ADD COLUMN FOR CASH TRANSFER TO SIDE
4.Ul CRASH WHILE ADDING RESPONSIBLE EMPLOYEE IN ONE SIDE

#19 - 09/22/2023 10:25 AM - Seema Mathew
- Tested By changed from unnikannan S to Seema Mathew
ISSUE FOUNDED****
1.ADD MANDATORY FIELD FOR AMOUND
#20 - 09/23/2023 06:04 PM - unnikannan S
Seema Mathew wrote in #note-19:
ISSUE FOUNDED****

1.ADD MANDATORY FIELD FOR AMOUND
2.NOT CLEARING CURRENCY CODES

#21 - 09/30/2023 12:01 PM - Junaid M
- Assignee changed from Anand V Gopal to Vivekp V

#22 - 10/07/2023 03:55 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

fixed issues
1. ADD MANDATORY FIELD FOR AMOUND
2.NOT CLEARING CURRENCY CODES
#23 - 10/07/2023 05:30 PM - Seema Mathew
TESTING DONE

#24 - 10/09/2023 04:51 PM - Vivekp V

issue fixed
1. QAR size issue

#25 - 10/11/2023 01:08 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

***ISSUE FOUND
1. Currency not saving In Transaction Table. (Error is found from Mainledger Report)

#26 - 10/11/2023 05:31 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED
1. Currency not saving In Transaction Table.

#27 - 10/12/2023 11:35 AM - unnikannan S
TESTING DONE

#28 - 10/12/2023 06:05 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.MISING ROE,USD CALUE IN FOCUS OUT

#29 - 10/13/2023 03:43 PM - Vivekp V

ISSUE FIXED

1.MISING ROE,USD CALUE IN FOCUS OUT

#30 - 10/13/2023 03:44 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.MISING ROE,USD CALUE IN FOCUS OUT

#31 - 10/30/2023 03:40 PM - Seema Mathew

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from unnikannan S to Seema Mathew

ISSUE FOUNDED **

1.SHOWING CODE ONLY WHILE ADDING RESPONSIBLE EMPLOYEE
#32 - 10/31/2023 02:52 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60
ISSUE FIXED
1.SHOWING CODE ONLY WHILE ADDING RESPONSIBLE EMPLOYEE

#33 - 11/01/2023 10:31 AM - unnikannan S
TESTING DONE

#34 - 11/01/2023 02:44 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.REDUCE THE LENGTH OF RESPONSILE EMPLOYEE (CODE/NAME)

2.NO CHANGE IN DATA WHILE CHANGING RSPONSIBLE ADMIN TO EMPLOYEE AFTER UPDATE

#35 - 11/02/2023 08:22 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.REDUCE THE LENGTH OF RESPONSILE EMPLOYEE (CODE/NAME)

2.NO CHANGE IN DATA WHILE CHANGING RSPONSIBLE ADMIN TO EMPLOYEE AFTER UPDATE

#36 - 11/03/2023 10:33 AM - unnikannan S
TESTING DONE

#37 - 11/10/2023 12:02 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ADD INFO MESSAGE AS (BLUE)
2.RE-DIRECT ISSUE FROM SEARCH MODULES

#38 - 11/10/2023 12:13 PM - unnikannan S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#39 - 03/01/2024 04:08 PM - unnikannan S
TESTING DONE

#40 - 03/01/2024 04:09 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.SHOWING INVALID MAIN LEDGER WHILE ADDING PETTY CASH A/C IN POSTING
2.SHOW VALID INFO MESSAGE IN CASE OF ADDING FALSE DOC NO

#41 - 03/04/2024 11:41 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED
1.SHOWING INVALID MAIN LEDGER WHILE ADDING PETTY CASH A/C IN POSTING
2.SHOW VALID INFO MESSAGE IN CASE OF ADDING FALSE DOC NO

#42 - 03/04/2024 02:20 PM - unnikannan S
TESTING DONE

#43 - 03/14/2024 11:34 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.VALIDATION FOR DOC DATE

#44 - 03/14/2024 12:02 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.VALIDATION FOR DOC DATE

#45 - 03/14/2024 03:42 PM - Junaid M
- Assignee changed from Vivekp V to Amal Siby

#46 - 03/14/2024 05:06 PM - unnikannan S
TESTING DONE

#47 - 04/16/2024 02:07 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.Fix Bugs On ROE
#48 - 04/16/2024 07:45 PM - Amal Siby

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#49 - 04/22/2024 10:12 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#50 - 05/03/2024 10:42 AM - Junaid M
- Assignee changed from Amal Siby to Vivekp V

#51 - 05/03/2024 06:01 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Fix Bugs On ROE

#52 - 09/18/2024 02:19 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90
#53 - 09/18/2024 02:48 PM - unnikannan S

- Status changed from Testing Done to Reopen Bugs
- % Done changed from 90 to 50

ISSUE FOUNDED

1.Clear The ltem Cash Balance: From Ul

#54 - 09/20/2024 09:30 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Clear The Item Cash Balance: From Ul

#55 - 10/25/2024 11:52 AM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#56 - 10/25/2024 12:31 PM - unnikannan S

- Status changed from Testing Done to Reopen Bugs
- % Done changed from 90 to 50

ISSUE FOUNDED

1.Invalid Tool Tip In Cash Counter Field

#57 - 10/28/2024 09:39 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Invalid Tool Tip In Cash Counter Field

#58 - 11/15/2024 06:51 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#59 - 11/21/2024 06:11 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

#60 - 11/21/2024 06:27 PM - Arathy PS

- Status changed from Reopen Bugs to New Changes

NEW CHANGES DONE

1. Add a against doc field on the credit side after responsible user.

#61 - 12/02/2024 09:02 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#62 - 12/04/2024 03:33 PM - Theja Ponon

- Status changed from New Changes Coding Done to New Changes Testing Done

- % Done changed from 70 to 90
#63 - 03/13/2025 10:17 AM - Arathy PS
- Status changed from New Changes Testing Done to New Changes

- % Done changed from 90 to 50
Set Document Id in Posting
Eg:

mdITransaction.binDocumentld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure
mdITransaction.binSubDocld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure

#64 - 03/13/2025 10:17 AM - Arathy PS
- Assignee changed from Vivekp V to Athira KK

#65 - 03/14/2025 10:06 AM - Athira KK
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

Files

2-tsModel.ts 2.46 KB 12/19/2022 Junaid M
1-CsModel.cs 4.27 KB 12/19/2022 Junaid M
4-CsControllerFile.cs 26.3 KB 12/19/2022 Junaid M
3-CsFile.cs 14.4 KB 12/19/2022 Junaid M
5-TsFile.ts 16.8 KB 12/19/2022 Junaid M
6-HtmlFile.html 1.91 KB 12/19/2022 Junaid M
sql.sql 14.2 KB 12/19/2022 Junaid M
